
// clear all the lines in this box
_.lines.clear()
_.window.background = vec(0.5, 0.5, 0.5)

// we are going to draw to 'FLine' -- one with lots of points
var points = new FLine()

// and some 'decorative' connective lines
var littleLines = new FLine()

points.pointed=true
points.pointSize=1
points.color = vec(0,0,0,0.4)

_.lines.points = points
_.lines.little = littleLines

// we'll do 5000 clusters
for(var i=0;i<5000;i++)
{
	// pick a point that's in a square from -1 to 1
	var dir = vec(0,0).noise(1)
	
	// if it isn't inside a circle, reject it
	if (dir.length()>1) continue
	
	// choose this as our point (a circle radius 300, centered on 500,500)
	var point = vec(500,500) + dir*300
	
	// draw 10 points for each cluster
	for(var m=0;m<10;m++)
	{
		// draw little clusters of 'radius' 4 around 'point'
		var dir2 = vec(0,0).noise(4)
		points.moveTo(point+dir2)	
		littleLines.moveTo(point).lineTo(point+dir2)
	}
	
	
}
